<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <script src="https://unpkg.com/vue"></script>
</head>

<body>
  <div id="app">
    <!--
      Recurso do HTML5
      - elemento 'template'
      - faz com que o elemento em si não seja renderizado, mas apenas o seu conteúdo
      - quando associado com renderização condicional:
        - cumpre o mesmo papel (de só renderizar os elementos no seu interior) mas se a condição da diretiva é satisfeita ou passa a ser satisfeita
        - acaba servindo para agrupar esse conjunto de elementos renderizado condicionalmente
    -->
    <template v-if="logado">
      <p>Usuário logado: {{ nome }}</p>
      <p>Perfil: Admin</p>
    </template>
    <p v-else-if="anonimo">Navegando como Anônimo</p>
    <p v-else>Nenhum usuário logado</p>
    <button @click="logado = !logado">
      {{ logado ? 'Sair' : 'Entrar' }}
    </button>
    <input type="checkbox" v-model="anonimo" id="anonimous">
    <label for="anonimous">Navegar como anônimo?</label>
  </div>
  <script src="app.js"></script>
</body>

</html>